Subject: Re: bug#12401: scroll-preserve-screen-position broken with font height faces

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 09 Feb 2022 10:17:49 +0100

Le Wang <[email-masked]> writes:

> with "scroll-preserve-screen-position" set to t, pressing <C-v>, <M-v>
> brings point back to the same buffer position.
>
> However if I customize a face e.g. font-lock-keyword-face with height
> of 1.3, then this no longer works.  Browsing any emacs-lisp source,
> <C-v>, <M-v> changes line position.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I tried reproducing this in Emacs 29, and it seems to basically work
fine -- hitting `C-v' and `M-v' seems to retain its position.

Do you still see this problem in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no